clang-tools 10.0.0

Namespaces | Functions
Serialize.h File Reference
`#include "Representation.h"`
`#include "clang/AST/AST.h"`
`#include "clang/AST/CommentVisitor.h"`
`#include <string>`
`#include <vector>`
Include dependency graph for Serialize.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::doc
| clang::doc::serialize

## Functions
std::pair< std::unique_ptr< Info >, std::unique_ptr< Info > > | clang::doc::serialize::emitInfo (const NamespaceDecl *D, const FullComment *FC, int LineNumber, StringRef File, bool IsFileInRootDir, bool PublicOnly)
std::pair< std::unique_ptr< Info >, std::unique_ptr< Info > > | clang::doc::serialize::emitInfo (const RecordDecl *D, const FullComment *FC, int LineNumber, StringRef File, bool IsFileInRootDir, bool PublicOnly)
std::pair< std::unique_ptr< Info >, std::unique_ptr< Info > > | clang::doc::serialize::emitInfo (const EnumDecl *D, const FullComment *FC, int LineNumber, StringRef File, bool IsFileInRootDir, bool PublicOnly)
std::pair< std::unique_ptr< Info >, std::unique_ptr< Info > > | clang::doc::serialize::emitInfo (const FunctionDecl *D, const FullComment *FC, int LineNumber, StringRef File, bool IsFileInRootDir, bool PublicOnly)
std::pair< std::unique_ptr< Info >, std::unique_ptr< Info > > | clang::doc::serialize::emitInfo (const CXXMethodDecl *D, const FullComment *FC, int LineNumber, StringRef File, bool IsFileInRootDir, bool PublicOnly)
SymbolID | clang::doc::serialize::hashUSR (llvm::StringRef USR)
std::string | clang::doc::serialize::serialize (std::unique_ptr< Info > &I)